com.zipcodewilmington.streams.conversions

## Class TestConversionAgent<T extends ConversionAgent>

- java.lang.Object
- - com.zipcodewilmington.streams.conversions.TestConversionAgent<T>

Direct Known Subclasses:
  TestConverterArray, TestConverterList, TestConverterStream

    public class TestConversionAgent<T extends ConversionAgent>
    extends java.lang.Object

Created by leon on 5/25/17.

### Constructor Summary

Constructors
Constructor and Description
`TestConversionAgent(T conversionAgent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setup()`
`void` `testCount()`
`void` `testToArray()`
`void` `testToList()`
`void` `testToStream()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestConversionAgent

    public TestConversionAgent(T conversionAgent)

### Method Detail

#### setup

    public void setup()

#### testCount

    public void testCount()

#### testToList

    public void testToList()

#### testToStream

    public void testToStream()

#### testToArray

    public void testToArray()